| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Main

Description
Agda main module.
Synopsis

runAgda :: TCM ()
printUsage :: IO ()
printVersion :: IO ()
optionError :: String -> IO ()
main :: IO ()

Documentation

runAgda :: TCM () | Source

The main function

printUsage :: IO () | Source

Print usage information.

printVersion :: IO () | Source

Print version information.

optionError :: String -> IO () | Source

What to do for bad options.

main :: IO () | Source

Main
Produced by Haddock version 2.4.2